データセットのインポートセッションを取得
curl --request GET \
--url https://distillation.training.wandb.ai/v1/tasks/{alias}/dataset-imports/{importId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://distillation.training.wandb.ai/v1/tasks/{alias}/dataset-imports/{importId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://distillation.training.wandb.ai/v1/tasks/{alias}/dataset-imports/{importId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"split_policy": {},
"duplicate_policy": {},
"state": "uploading",
"total_bytes": 2,
"counters": {
"staged_rows": 1,
"rejected_rows": 1,
"validation_errors": 1,
"errors_by_code": {},
"rows_by_split": {}
},
"error": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"file": {
"name": "<string>",
"size_bytes": 2,
"part_size_bytes": 2,
"part_count": 2,
"state": "pending",
"uploaded_bytes": 1,
"parts": [
{
"part_number": 2,
"size_bytes": 1,
"etag": "<string>"
}
]
},
"validation": {
"validation_state": "pending",
"validated_bytes": 1,
"validated_lines": 1,
"validated_rows": 1,
"raw_sha256": "<string>",
"error_count": 1,
"errors_truncated": true,
"errors": [
{
"physical_line": 2,
"source_byte_offset": 1,
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"message": "Task 'missing' not found in entity 'your-team'",
"type": "not_found"
}
}データセットのインポートセッションを取得する
GET
/
tasks
/
{alias}
/
dataset-imports
/
{importId}
データセットのインポートセッションを取得
承認
W&B APIキー。
ヘッダー
アクセス可能な個人またはチーム entity。省略すると、認証済みユーザーのデフォルトの entity を使用します。
レスポンス
インポートの転送および処理の状態.
送信先データセットの ID です。データセットの作成開始時に割り当てられます。データセットを使用する前に、状態が ready になるまで待ってください。作成前、またはデータセットの削除後は Null です。
インポートの作成時に受け入れられた分割ポリシーです.
インポートの作成時に受け入れられた重複ポリシー。
利用可能なオプション:
uploading, queued, validating, auditing, committing, ready, failed, cancelled, expired 必須範囲:
x >= 1検証結果の合計値。利用できない場合は null。
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
最終更新日 2026年9月30日
このページは役に立ちましたか?